#!/usr/bin/perl -w

################################################################################
# Name:        Cleanup.pl
# Version:     1.1
# Author:      Reinhard E. Voglmaier
#              GlaxoWellcome
#              rv33100@GlaxoWellcome.co.uk
# Date:        12.04.2000
# Description: Reads which jobs are committed and sends the confirm messages
# Copyright:   GPL
################################################################################
push(@INC,".." );
require "adminDB.pm" ;

use Cwd ;
use Mail::Sendmail ;

# First get the job's list
################################################################################


opendir (DirHandle,$CommitedDir) || die "Could not open Directory $CommittedDir" ;
while($file=readdir(DirHandle)) {
   if ( $file=~ /^_/ ) {
     open(InFH,"<".$CommitedDir."/".$file) || die "Could not open Input $file in $CommittedDir \n" ;
     
     print "File $file opened \n" if ( $Debug ) ;
     $Line = <InFH> ;
     ($Directory,$UserId,$UserName,$UpdatedOn,$SavedData) = split(";;",$Line) ;
     &SendMessage($Directory,$UserId,$UserName,$UpdatedOn,$SavedData) ;
     close(InFH);
     $DirectoryName = "/".$Directory ;
     $DirectoryName =~ s#//#/#g ;
     $ComittedFile = $CommitedDir."/".$file ;
     $ComittedFile =~ s#//#/#g ;
     $DirectoryName =~ s#/#_#g ;
     $JobName = cwd()."/".$AtJobDir.$DirectoryName.".sh" ;
     unlink ( $JobName ) ;
     unlink ( $CommitedDir."/".$file ) ;
   }
}

closedir(DirHandle);




sub SendMessage {
    my($Directory,$UserId,$UserName,$UpdatedOn,$SavedData) = @_ ;

    $mail{From} = "Apache Web Server<".$WebMaster."\@ithp04.italy.glaxo>" ;
    $mail{To}   = $UserName."<".$UserId."\@glaxowellcome.co.uk>" ;
    $mail{Cc}   = WEBADMIN."<".$CC."\@glaxowellcome.co.uk>" ;
    $mail{Subject} = "Passaggio in Produzione Eseguito" ;
    $mail{Smtp}    = "it1msg01.italy.glaxo" ;
    print "Sending Mail . . . Please Wait \n\n" if ( $Debug ) ;

    $mail{Message} = GetFinalMessage($Directory,$UserId,$UserName,$UpdatedOn,$SavedData) ;
    sendmail(%mail) ;

}
